Bug 675503 - Commit Hangul character with space key -> Move the character.
Summary: Commit Hangul character with space key -> Move the character.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-06 02:53 UTC by sangu
Modified: 2016-01-06 11:52 UTC (History)
3 users (show)

Fixed In Version: ibus-1.3.99.20110206-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 10:14:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1296121 None CLOSED XIM: When commiting with a space, it is inserted before a hangul character rather than after it 2019-03-13 05:05:43 UTC

Internal Links: 1296121

Description sangu 2011-02-06 02:53:23 UTC
Description of problem:
Commit Hangul character with space key -> Move the character.

Version-Release number of selected component (if applicable):
1.3.99.20110127-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. input with hangul input method
2. 가가 (rkrk)
3. click space key
  
Actual results:
가 가

Expected results:
가가

Additional info:
ibus-hangul-1.3.0.20100329-4.fc15.x86_64
glib2-2.27.93-1.fc15.x86_64
gtk2-2.24.0-1.fc15.x86_64
gtk3-2.99.3-1.fc15.x86_64

Comment 1 fujiwara 2011-02-08 02:28:16 UTC
Thanks for the report.
It seems this is a regression when I tried to fix the gnome-shell search box.

Comment 2 fujiwara 2011-02-08 09:30:14 UTC
Revised the patch to use sync mode for mutter only:
https://github.com/fujiwarat/ibus/commit/c6949a852235bedb44126c3c6f36e1fba4b71bce

Comment 4 fujiwara 2011-02-09 05:13:38 UTC
After I had the furthermore investigation.
Probably gnome-shell has a typo instead.

I filed the bug:
https://bugzilla.gnome.org/show_bug.cgi?id=641896

After that is fixed, I'll remove the patch in ibus.

Comment 5 Fedora Update System 2011-02-17 08:05:15 UTC
ibus-1.3.99.20110206-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-1.3.99.20110206-2.fc15

Comment 6 Fedora Update System 2011-03-03 03:01:38 UTC
ibus-1.3.99.20110206-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.